viralquery
Api referencev1/topup

Create a Stripe checkout to top up credits

POST
/v1/topup

Authorization

bearerAuth
AuthorizationBearer <token>

In: header

Request Body

application/json

TypeScript Definitions

Use the request body type in TypeScript.

amountCents*number

Response Body

application/json

application/json

application/json

application/json

application/json

application/json

application/json

application/json

curl -X POST "https://example.com/v1/topup" \  -H "Content-Type: application/json" \  -d '{    "amountCents": 0  }'
{
  "url": "string"
}
{
  "error": "invalid_request",
  "message": "string",
  "issues": [
    {
      "path": "string",
      "message": "string"
    }
  ]
}
{
  "error": "unauthorized",
  "message": "string",
  "signupUrl": "string"
}
{
  "error": "forbidden",
  "message": "string",
  "requiredScope": "string",
  "grantedScopes": [
    "string"
  ]
}
{
  "error": "upstream_error",
  "message": "string",
  "retryable": true
}
{
  "error": "rate_limited",
  "message": "string",
  "retryAfter": 0
}
{
  "error": "upstream_error",
  "message": "string",
  "retryable": true
}
{
  "error": "upstream_error",
  "message": "string",
  "retryable": true
}